#!/bin/sh
#
# Start the Apache web server
#

start() {
 	echo "Starting web server..."
	PORT=`/usr/sbin/sqldb_read /sys/network/httpserver/port`
	echo "Portnummer: $PORT"
 	sed -i 's/Listen .*/Listen '${PORT}'/g' /usr/apache/conf/httpd.conf
	/usr/apache/bin/apachectl start
}	
stop() {
	echo -n "Stopping web server..."
	/usr/apache/bin/apachectl stop
	sleep 1
}
restart() {
	stop
	start
}	
port() {
	PORT=`/usr/sbin/sqldb_read /sys/network/httpserver/port`
	echo "Portnummer: $PORT"
 	sed -i 's/Listen .*/Listen '${PORT}'/g' /usr/apache/conf/httpd.conf
}
case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart|reload)
  	restart
	;;
  port)
    port
	;;     
  *)
	echo $"Usage: $0 {start|stop|restart}"
	exit 1
esac

exit $?

