#!/bin/sh

WLAN_MODE=`/usr/sbin/sqldb_read /sys/network/wlan/mode`

case $1 in

 	start)
 	if [ ${WLAN_MODE} = "disabled" ] ;then
 	echo "wireless is disabled....."
 	else
	echo "Starting wireless....."
	ifconfig ra0 0.0.0.0 up
	brctl addif br0 ra0
	MACBR=`/sbin/ifconfig  | grep 'ra0'  | tr -s ' ' | cut -d ' ' -f 5`
        /sbin/ifconfig br0 hw eth ${MACBR}
        /etc/scripts/reconfigure_wlan.sh	> /dev/console
	fi
      ;;
      
    stop)
    
	#ifconfig br0 down
	ifconfig ra0 down
	brctl delif br0 ra0
	
	
       ;;
       
    restart)
        $0 stop
# sleep 1 second
        sleep 1        
        $0 start        
     ;;

    *)
      $0 restart
      ;;
esac
