/*
 s=slider
 r=red
 g=green
 b=blue

 d=dim
 l=light
 
 A=Kanal 0
 B=Kanal 1

 c=color
 w=whtie
 
 Beispiel:
 scgA = slider color green Kanal A
 slB = slider light Kanal B
 
*/

$(document).ready(function() {
      //$.post('rgb_set.php', { cmd: "10" } );
      $.post('rgb_set.php', { cmd: "12" }, function(prg) {
            if(prg.running_status==0) {
                  $('#runprogram').val(prg.loaded_program);
            } else {
                  $('#runprogram').val('nix');
            }
      },"json"); 
      $('#runprogram').change(function(){
            if(this.value=="-2") {
                  $.post('rgb_set.php', { cmd: "10" } );
                  message_rgb('messageprg');
                  $(this).val('nix');
            }
            if(this.value!="nix" && this.value!=-2) {
                $.post('rgb_set.php', { cmd: "11", wert: this.value } );  
            }
      })
      $.Shortcuts.add({ type: 'down', mask: 'r', handler: function() { $("#scrA").children("a").focus(); } });
      $.Shortcuts.add({ type: 'down', mask: 'g', handler: function() { $("#scgA").children("a").focus(); } });
      $.Shortcuts.add({ type: 'down', mask: 'b', handler: function() { $("#scbA").children("a").focus(); } });
      $.Shortcuts.add({ type: 'down', mask: 'w', handler: function() { $("#swA").children("a").focus(); } });
      
      $.Shortcuts.add({ type: 'down', mask: 'Shift+r', handler: function() { $("#scrB").children("a").focus(); } });
      $.Shortcuts.add({ type: 'down', mask: 'Shift+g', handler: function() { $("#scgB").children("a").focus(); } });
      $.Shortcuts.add({ type: 'down', mask: 'Shift+b', handler: function() { $("#scbB").children("a").focus(); } });
      $.Shortcuts.add({ type: 'down', mask: 'Shift+w', handler: function() { $("#swB").children("a").focus(); } });
      
      $.Shortcuts.add({ type: 'down', mask: 'd', handler: function() { $("#sdA").children("a").focus(); } });
      $.Shortcuts.add({ type: 'down', mask: 'Shift+d', handler: function() { $("#sdB").children("a").focus(); } });
      
      $.Shortcuts.add({ type: 'down', mask: 'l', handler: function() { $("#slA").children("a").focus(); } });
      $.Shortcuts.add({ type: 'down', mask: 'Shift+l', handler: function() { $("#slB").children("a").focus(); } });

      $.Shortcuts.add({ type: 'down', mask: 'o', handler: function() {
            $( "#f_rA,#f_gA,#f_bA,#f_wA,#f_rB,#f_gB,#f_bB,#f_wB,#f_dA,#f_dB,#f_lA,#f_lB" ).val('0');
            $( "#f_rA,#f_gA,#f_bA,#f_wA,#f_rB,#f_gB,#f_bB,#f_wB" ).css('background-color', '#000000' );
            $( "#f_rA,#f_gA,#f_bA,#f_wA,#f_rB,#f_gB,#f_bB,#f_wB" ).css('color', '#ffffff' );
            $( "#scrA,#scgA,#scbA,#swA,#scrB,#scgB,#scbB,#swB,#sdA,#sdB,#slA,#slB" ).slider('value','0');
            set_light();
            set_values(0);
      }
});

var cwheelA = $.farbtastic("#cwheelA");
var cwheelB = $.farbtastic("#cwheelB");
cwheelA.linkTo(wheelUpdateA);
cwheelB.linkTo(wheelUpdateB);
/*$(".ui-widget").bind("mouseup", function() {
      alert(this.id);
$(this).slider("disable");
$(this).slider("enable");
})*/
      $.Shortcuts.start();
      // COLOR SLIDER
      $("#scrA,#scgA,#scbA,#scrB,#scgB,#scbB").slider( {          
            min: 0,
            max: 255,
            animate: "slow",
            orientation: "vertical",
            slide: function( event, ui ) {
                  var channel=(this.id).substr(3);
                  var color=(this.id).substr(2,1);
                  var fg="rgb(255,255,255)";
                  if(color=="r"){ bg="rgb("+ui.value+",0,0)"; }
                  if(color=="g"){ bg="rgb(0,"+ui.value+",0)"; if(ui.value>170){ fg="rgb(0,0,0)"} else { fg="rgb(255,255,255)" } }
                  if(color=="b"){ bg="rgb(0,0,"+ui.value+")";}
                  $( "#f_"+color+channel).css("background-color", bg);
                  $( "#f_"+color+channel).css("color", fg);
                  if( $( "#f_"+color+channel).val()!=ui.value) {        
                        $( "#f_"+color+channel).val( ui.value );
                        set_light();
                        set_values(1);
                  }
            },
            stop: function( event, ui ) {
                  var id=this.id;
                  set_values(1);
            }
      });   

      // WHITE SLIDER
      $("#swA,#swB").slider( {
            min: 0,
            max: 255,
            animate: true,
            orientation: "vertical",
            slide: function( event, ui ) {
                  var channel=(this.id).substr(1);
                  if( $( "#f_"+channel).val()!=ui.value) {
                        var bg = "rgb("+ui.value+","+ui.value+","+ui.value+")";
                        if (ui.value<128) { var fg = "rgb(255,255,255)"; } else { fg = "rgb(0,0,0)"; };
            
                        $( "#f_"+channel).val( ui.value );
                        $( "#f_"+channel).css('background-color', bg );
                        $( "#f_"+channel).css('color', fg );
                        set_values(1);
                  }
            },
            stop: function( event, ui ) {
                  var id=this.id;
                  set_values(1);
            }
      });
   
      // DIM SLIDER
      $("#sdA,#sdB").slider( {
            min: 0,
            max: 255,
            animate: true,
            slide: function( event, ui ) {
                  var channel=(this.id).substr(1);
                  if( $( "#f_"+channel).val()!=ui.value) {
                        $( "#f_"+channel).val( ui.value );
                        set_values(1);
                  }
            },
            stop: function( event, ui ) {
                  var id=this.id;
                  set_values(1)
            }
      });
   
   // LIGHT SLIDER
      $("#slA,#slB").slider( {
            min: 0,
            max: 255,
            animate: true,
            slide: function( event, ui ) {
                  var val=ui.value;
                  var channel=(this.id).substr(1);
                  var AB=(this.id).substr(2);
                  if( $( "#f_"+channel).val()!=ui.value) {
                        $( "#f_"+channel).val( ui.value );
                        set_rgb(channel,AB,val);
                  }
            },
            stop: function( event, ui ) {
               var id=this.id;
               set_values(1);
            }
      });   


      $("#sdA").slider('value',$( "#f_dA" ).val());
      $("#sdB").slider('value',$( "#f_dB" ).val());
      $("#slA").slider('value',$( "#f_lA" ).val());
      $("#slB").slider('value',$( "#f_lB" ).val());
// INPUT LIGHT KEYPRESS
      $('#f_lA,#f_lB').keyup(function() {
            var channel=(this.id).substr(2);
            var AB=(this.id).substr(3);
            var val=this.value;
            $("#slA").slider('value',$( "#f_lA" ).val());
            $("#slB").slider('value',$( "#f_lB" ).val());
            set_rgb(channel,AB,val);
      })
// INPUT KEYPRESS
      $('#f_rA,#f_gA,#f_bA,#f_wA,#f_rB,#f_gB,#f_bB,#f_wB,#f_dA,#f_dB').keyup(function() {
            val=this.value;
            if(isNaN(val) ) {val=0}
                  else if(val>255) { val=255 }
            this.value=val;
            if(val!="") {
                  backfor_color();
                  set_light();
                  set_values(1);
            }
      })
      $('#f_rA,#f_gA,#f_bA,#f_wA,#f_rB,#f_gB,#f_bB,#f_wB,#f_dA,#f_dB,#f_lA,#f_lB').focusout(function() {
            val=this.value;
            if(val=="") {
                  this.value=0;
            }
            backfor_color();
      })
      $('#f_rA,#f_gA,#f_bA,#f_wA,#f_rB,#f_gB,#f_bB,#f_wB,#f_dA,#f_dB,#f_lA,#f_lB').focus(function() {
            this.select();
      })
      $( "#sync, #bootcolor" ).button();
      $( "#bootcolor" ).click( function() { set_bootcolor(); } );
      $( "#sync" ).click( function() {
            var val=$("input[name='sync']:checked").val();
            b=($('#content').width()/2)-220;
            if(val=="true") {
                  $('#channelB').hide("slow", function() {
                        $('#channelA').css('float', 'none');
                        //$('#channelA').css('margin', '0 auto');
                        $('#channelA').animate({
                              'marginLeft' : "+="+b
                        });
                  });
                  
                  $.post('rgb_set.php', { cmd: '1', wert: 'true'});
            } else {
                  $('#channelA').css('float', 'left');
                  $('#channelA').animate({
                        'marginLeft' : "0"
                  }, function() {
                  $('#channelA').css('margin', '0');
                  $('#channelB').show('slow');      
                  });
                  
                  $.post('rgb_set.php', { cmd: '1', wert: 'false'});
            }
            set_values(1)
            $('#scrA').children("a").focus();
      })
      backfor_color();
      set_light();

      function set_light() {
            window["hslA"]=rgbToHsl(($( "#f_rA" ).val()/255),($( "#f_gA" ).val()/255),($( "#f_bA" ).val()/255));
            window["hslB"]=rgbToHsl(($( "#f_rB" ).val()/255),($( "#f_gB" ).val()/255),($( "#f_bB" ).val()/255));
            $("#slA").slider('value',parseInt(window["hslA"][2]*255));
            $("#f_lA").val(parseInt(window["hslA"][2]*255));
            
            $("#slB").slider('value',parseInt(window["hslB"][2]*255));
            $("#f_lB").val(parseInt(window["hslB"][2]*255));
            
            cwheelA.setColor(rgb2hex($( "#f_rA" ).val()+","+$( "#f_gA" ).val()+","+$( "#f_bA" ).val()));
            cwheelB.setColor(rgb2hex($( "#f_rB" ).val()+","+$( "#f_gB" ).val()+","+$( "#f_bB" ).val()));
      }
      function set_rgb(channel, AB, val) {
            var rgb=hslToRgb(window["hsl"+AB][0],window["hsl"+AB][1],(val/255));
         
            $("#scr"+AB).slider('value',Math.round(rgb[0]*255));
            $("#scg"+AB).slider('value',Math.round(rgb[1]*255));
            $("#scb"+AB).slider('value',Math.round(rgb[2]*255));
            $( "#f_r"+AB ).val(Math.round(rgb[0]*255));
            $( "#f_g"+AB ).val(Math.round(rgb[1]*255));
            $( "#f_b"+AB ).val(Math.round(rgb[2]*255));

            cwheelA.setColor(rgb2hex($( "#f_rA" ).val()+","+$( "#f_gA" ).val()+","+$( "#f_bA" ).val()));
            cwheelB.setColor(rgb2hex($( "#f_rB" ).val()+","+$( "#f_gB" ).val()+","+$( "#f_bB" ).val()));
            backfor_color();
            set_values(1);
      }
      function backfor_color() {
         var arr= Array('rA','gA','bA','wA','rB','gB','bB','wB');
         $.each(arr, function(index, key) {      
            var val = $( "#f_"+key ).val();
            var fg="rgb(255,255,255)";
            if(key.substr(0,1)!="w") {
               if(key.substr(0,1)=="r"){ bg="rgb("+val+",0,0)";}
               if(key.substr(0,1)=="g"){ bg="rgb(0,"+val+",0)"; if(val>170){ fg="rgb(0,0,0)"} else { fg="rgb(255,255,255)" }}
               if(key.substr(0,1)=="b"){ bg="rgb(0,0,"+val+")";}
               $("#sc"+key).slider('value',$( "#f_"+key ).val());
               $( "#f_"+key).css("background-color", bg);
               $( "#f_"+key).css("color", fg);
            } else {
               if(key.substr(0,1)=="w"){ bg="rgb("+val+","+val+","+val+")"; if(val>128){ fg="rgb(0,0,0)"} else { fg="rgb(255,255,255)" }}   
               $("#s"+key).slider('value',$( "#f_"+key ).val());
               $( "#f_"+key).css("background-color", bg);
               $( "#f_"+key).css("color", fg);
            }
         });
      }
      function wheelUpdateA(color){
            $("#swatch").css("background-color",color);
            if(cwheelA.hsl[2]>0.5){      
                  $("#innerswatch").css("color","#000000");     
            } else {
                  $("#innerswatch").css("color","#ffffff");
            }
            
            $("#innerswatch").html(color.toUpperCase())
            var red = parseInt(color.substring(1,3),16);
            var green = parseInt(color.substring(3,5),16);
            var blue = parseInt(color.substring(5,7),16);	
      
            $("#f_rA").val(red);
            $("#f_gA").val(green);
            $("#f_bA").val(blue);
            $("#scrA").slider("value",red);
            $("#scgA").slider("value",green);
            $("#scbA").slider("value",blue);
            set_light();
            backfor_color()
            set_values(1);
      }

      function wheelUpdateB(color){     
            $("#swatch").css("background-color",color);
            if(cwheelB.hsl[2]>0.5){      
                  $("#innerswatch").css("color","#000000");     
            } else {
                  $("#innerswatch").css("color","#ffffff");
            }
            
            $("#innerswatch").html(color.toUpperCase())
            var red = parseInt(color.substring(1,3),16);
            var green = parseInt(color.substring(3,5),16);
            var blue = parseInt(color.substring(5,7),16);	
      
            $("#f_rB").val(red);
            $("#f_gB").val(green);
            $("#f_bB").val(blue);
            $("#scrB").slider("value",red);
            $("#scgB").slider("value",green);
            $("#scbB").slider("value",blue);
            set_light();
            backfor_color()
            set_values(1);
      }
      

}); // document.ready ende


function set_values(fc,set) {
      var sync=$("input[name='sync']:checked").val();
      if(sync=="true") {
            $("#sdA").slider('value',$( "#f_dA" ).val());
            $("#sdB").slider('value',$( "#f_dA" ).val());
            var valchA=$( "#f_rA" ).val()+","+$( "#f_gA" ).val()+","+$( "#f_bA" ).val();
            var valdimA=$( "#f_dA" ).val();
            var valwchA=$( "#f_wA" ).val();
            $( "#f_rB" ).val($( "#f_rA" ).val());
            $( "#f_gB" ).val($( "#f_gA" ).val())
            $( "#f_bB" ).val($( "#f_bA" ).val())
            $( "#f_dB" ).val($( "#f_wA" ).val());
            var rgbi2c="c_fc="+fc+"&c_rgbA="+valchA+"&c_rgbB="+valchA+"&c_w0="+valwchA+"&c_w1="+valwchA+"&c_d0="+valdimA+"&c_d1="+valdimA;
           // alert(rgbi2c);
      } else {
            $("#sdA").slider('value',$( "#f_dA" ).val());
            $("#sdB").slider('value',$( "#f_dB" ).val());
            var valchA=$( "#f_rA" ).val()+","+$( "#f_gA" ).val()+","+$( "#f_bA" ).val();
            var valchB=$( "#f_rB" ).val()+","+$( "#f_gB" ).val()+","+$( "#f_bB" ).val();
            var valdimA=$( "#f_dA" ).val();
            var valdimB=$( "#f_dB" ).val();
            var valwchA=$( "#f_wA" ).val();
            var valwchB=$( "#f_wB" ).val();
            var rgbi2c="c_fc="+fc+"&c_rgbA="+valchA+"&c_rgbB="+valchB+"&c_w0="+valwchA+"&c_w1="+valwchB+"&c_d0="+valdimA+"&c_d1="+valdimB;     
      }
      xhr = $.ajax({
            type: 'POST',
            url: 'rgb_live.php',
            data: rgbi2c,
            async: false
      });
      if(set != undefined) { // BOOTCOLOR 
            rgbi2c=rgbi2c+"&cmd=2";
            xhr = $.ajax({
                  type: 'POST',
                  url: 'rgb_set.php',
                  data: rgbi2c,
                  async: false
            });
      }
}
function message_rgb(msg) {
      $.blockUI({
            message: $('div.'+msg),
            fadeIn: 700, 
            fadeOut: 700, 
            timeout: 2000,
            showOverlay: false, 
            css: {	
                 border: 'none', 
                 padding: '15px', 
                 backgroundColor: '#000', 
                 '-webkit-border-radius': '10px', 
                 '-moz-border-radius': '10px',
                 'border-radius': '10px', 
                 opacity: .6, 
                 color: '#fff'
            }
      });
}