// **********   all3075_demon.h - Include-File fr den ALL3075-Demon   **********



// *****   Globale Variablen   ******

#define											ALL3075_DEMON_VERSION "1.91"
#define											ALL3075_MAX_SLAVES 128
extern unsigned short int		cache_max_slaves;
extern signed char					cache_slave_enabled[ALL3075_MAX_SLAVES];
extern signed short int			cache_slave_type[ALL3075_MAX_SLAVES];
extern char									cache_slave_ip[ALL3075_MAX_SLAVES][16];
extern char									cache_slave_user[ALL3075_MAX_SLAVES][20];
extern char									cache_slave_password[ALL3075_MAX_SLAVES][20];
extern signed long int			cache_slave_mapfrom_actor[ALL3075_MAX_SLAVES];
extern signed long int			cache_slave_value[ALL3075_MAX_SLAVES];
extern signed long int			cache_slave_mapto_sensor[ALL3075_MAX_SLAVES];
extern signed long int			all3075_reload_counter;
extern signed long int			read_delay;
extern signed long int			all3075_max_retries;
extern int									shID;
extern struct s_shm_actordata*	shm_actor_r_data;
extern struct s_shm_actordata*	shm_actor_w_data;



// *****   Funktions-Prototypen   *****

void							cache_setzedefault(void);
void							all3075_demon_readconfig(void);
signed long int		all3075_query(unsigned short int dosennummer);
signed long int		all3075_query2(unsigned short int dosennummer,unsigned short int tries);
signed long int		all3075_schalte(unsigned short int dosennummer,unsigned short int schaltwunsch);
signed long int		all3075_schalte2(unsigned short int dosennummer,unsigned short int schaltwunsch,unsigned short int tries);
long							get_ms_now(void);
