// **********   rgb_read.c - Testprogramm fr Allnet I2C Bus   **********


#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include "at91gpio.h"
#include "all_i2c.h"
#include "i2c_chips.h"
#include <string.h>
#include "rgb_read.h"


void print_usage()
	{
	printf("USAGE: rgb_read xmlfilename\n");
	exit(0);
	}



// *****   Testprogramm   *****

int main(int argc,char **argv)
	{
	char dateiname[255];


 	if (argc != 2)
		{
		print_usage();
		}

 	strcpy(dateiname,argv[1]);
	gpio_devmem_open();																		// I/O-Memory-Filehandles initialiseren
	
	i2c_ruhe(0);																					// Ruhe am Bus (Initialisierung auf Standardwerte)
	// printf("all_i2c_chip_dualrgb_read(\"%s\")\n",dateiname);
	all_i2c_chip_dualrgb_read(0,3);
	return(0);
	}

