// *********************************************************************************************************************
// *********************************************************************************************************************
// **                                                                                                                 **
// **   sqldb.h   -   include-Datei fr SQLDB-Client                                                                  **
// **                                                                                                                 **
// **-----------------------------------------------------------------------------------------------------------------**
// **                                                                                                                 **
// ** (C) 2009 - 2011 by Allnet Deutschland GmbH (www.allnet.de)                                                      **
// **                    Michael Buchstaller     (buchi@allnet.de)                                                    **
// **                                                                                                                 **
// **-----------------------------------------------------------------------------------------------------------------**
// **                                                                                                                 **
// ** This program is free software: you can redistribute it and/or modify                                            **
// ** it under the terms of the GNU General Public License as published by                                            **
// ** the Free Software Foundation, either version 3 of the License, or                                               **
// ** (at your option) any later version.                                                                             **
// **                                                                                                                 **
// ** This program is distributed in the hope that it will be useful,                                                 **
// ** but WITHOUT ANY WARRANTY; without even the implied warranty of                                                  **
// ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                                                   **
// ** GNU General Public License for more details.                                                                    **
// **                                                                                                                 **
// ** You should have received a copy of the GNU General Public License                                               **
// ** along with this program.  If not, see http://www.gnu.org/licenses                                               **
// **                                                                                                                 **
// *********************************************************************************************************************
// *********************************************************************************************************************


#define							SQLDB_STRING_LENGTH 300



// *****   Funktions-Prototypen   *****

void								do_sqlyy							(sqlite3 *ptr,char kommando[],unsigned char wait_for_write);

signed long int			sqldb_read_long				(char string_name[]);
double							sqldb_read_float			(char string_name[]);
void								sqldb_read_string			(char string_name[],char *string_value);
void								sqldb_write_long			(char string_name[],signed long int wert);
void								sqldb_write_float			(char string_name[],double wert);
void								sqldb_write_string		(char string_name[],char *string_value);

signed long int			sqldb_read_long2			(sqlite3 *sql_config_handle,char string_name[]);
double							sqldb_read_float2			(sqlite3 *sql_config_handle,char string_name[]);
void								sqldb_read_string2		(sqlite3 *sql_config_handle,char string_name[],char *string_value);
void								sqldb_write_long2			(sqlite3 *sql_config_handle,char string_name[],signed long int wert);
void								sqldb_write_float2		(sqlite3 *sql_config_handle,char string_name[],double wert);
void								sqldb_write_string2		(sqlite3 *sql_config_handle,char string_name[],char *string_value);

void								sqldb_read_string3		(sqlite3 *sql_config_handle,char sql[],char *string_value);
