#!/bin/sh

SSID=`/usr/sbin/sqldb_read /sys/network/wlan/ssid`
CHANNEL=`/usr/sbin/sqldb_read /sys/network/wlan/channel`
WLAN_AUTHMODE=`/usr/sbin/sqldb_read /sys/network/wlan/authmode`
ENCRYPTION=`/usr/sbin/sqldb_read /sys/network/wlan/enc`
KEY=`/usr/sbin/sqldb_read /sys/network/wlan/enckey`
WLAN_MODE=`/usr/sbin/sqldb_read /sys/network/wlan/mode`

iwpriv ra0 set Channel=$CHANNEL

if [ ${WLAN_MODE} = "ap" ] ;then
	if [ ${WLAN_AUTHMODE} = "SHARED-WEP" ] ;then	
		iwpriv ra0 set AuthMode=SHARED
		iwpriv ra0 set EncrypType=WEP
		iwpriv ra0 set IEEE8021X=0     
		iwpriv ra0 set KEY1=$KEY  
		iwpriv ra0 set DefaultKeyID=1    
		iwpriv ra0 set SSID=$SSID 
	fi
	if [ ${WLAN_AUTHMODE} = "WPAPSK-TKIP" ] ;then
		iwpriv ra0 set AuthMode=WPAPSK
		iwpriv ra0 set EncrypType=TKIP
		iwpriv ra0 set IEEE8021X=0    
		iwpriv ra0 set SSID=$SSID   
		iwpriv ra0 set WPAPSK=$KEY  
		iwpriv ra0 set DefaultKeyID=2    
		iwpriv ra0 set SSID=$SSID
	fi
	if [ ${WLAN_AUTHMODE} = "WPA2PSK-TKIP" ] ;then
		iwpriv ra0 set AuthMode=WPA2PSK
		iwpriv ra0 set EncrypType=TKIP
		iwpriv ra0 set IEEE8021X=0    
		iwpriv ra0 set SSID=$SSID   
		iwpriv ra0 set WPAPSK=$KEY  
		iwpriv ra0 set DefaultKeyID=2    
		iwpriv ra0 set SSID=$SSID
	fi
	if [ ${WLAN_AUTHMODE} = "OPEN-NONE" ] ;then
		iwpriv ra0 set AuthMode=OPEN
		iwpriv ra0 set EncrypType=NONE
		iwpriv ra0 set IEEE8021X=0      
		iwpriv ra0 set SSID=$SSID
	fi
else
	if [ ${WLAN_AUTHMODE} = "SHARED-WEP" ] ;then
		iwpriv ra0 set NetworkType=Infra	
		iwpriv ra0 set AuthMode=SHARED
		iwpriv ra0 set EncrypType=WEP   
		iwpriv ra0 set KEY1=$KEY  
		iwpriv ra0 set DefaultKeyID=1    
		iwpriv ra0 set SSID=$SSID 
	fi
	if [ ${WLAN_AUTHMODE} = "WPAPSK-TKIP" ] ;then
		iwpriv ra0 set NetworkType=Infra
		iwpriv ra0 set AuthMode=WPAPSK
		iwpriv ra0 set EncrypType=TKIP  
		iwpriv ra0 set SSID=$SSID   
		iwpriv ra0 set WPAPSK=$KEY     
		iwpriv ra0 set SSID=$SSID
	fi
	if [ ${WLAN_AUTHMODE} = "WPA2PSK-TKIP" ] ;then
		iwpriv ra0 set NetworkType=Infra
		iwpriv ra0 set AuthMode=WPA2PSK
		iwpriv ra0 set EncrypType=TKIP   
		iwpriv ra0 set SSID=$SSID   
		iwpriv ra0 set WPAPSK=$KEY    
		iwpriv ra0 set SSID=$SSID
	fi
	if [ ${WLAN_AUTHMODE} = "OPEN-NONE" ] ;then
		iwpriv ra0 set NetworkType=Infra
		iwpriv ra0 set AuthMode=OPEN
		iwpriv ra0 set EncrypType=NONE   
		iwpriv ra0 set SSID=$SSID
		
	fi
fi
	
