$(document).ready(function() {
	$('#page').css('display', 'block');

	$('#menu > li').bind('mouseover', menu_open);
	$('#menu > li').bind('mouseout',  menu_timer);
	x=new Date();
	$('a').click(function() {
		closetimer = window.setTimeout(menu_close, 100);
		var target = $(this).attr('href');
		//alert(target);
		if(target=="stdstart") {
			$(location).attr('href', '/stdstart.php');
		}
		if(target=="logout") {
			$('#logout').hide('fast');
		}
		if(target=="rgb") {
			$(location).attr('href', 'std_display.php?s=0');
		}
		if(target=="panel") {
			$(location).attr('href', 'std_display.php?s=1');
		}
		if(target=="display") {
			$(location).attr('href', 'std_display.php');
		}
		$.post("std_"+target+".php", { gw: "0" },
				function(r) {
					$('#content').html(r);					
					$( "input:button" ).button();	
				});
		return false;
	});
});

function errorHandler(transaction, error) {
    alert('Oops. Error was '+error.message+' (Code '+error.code+')');
    return true;
}
function saveform(e) {
	switch (e.id) {
		case "devicename":
			$.post("std_"+e.id+".php", { gw: "1", devicename: $('#f_devicename').val() } );
			message();
			$("div.right").text($('#f_devicename').val());
		break;
		case "datetime":
			if($('#f_timeserver_enabled_on').attr('checked')==true) {
				$.post("std_"+e.id+".php", { gw: "1", f_timezone: $('#f_timezone').val(), f_timeserver_enabled: '1', f_ntp1: $('#f_ntp1').val(), f_ntp2: $('#f_ntp2').val(), f_ntp3: $('#f_ntp3').val(), f_servers: $('#f_servers').val() } );
			} else {
				$.post("std_"+e.id+".php", { gw: "1", f_timezone: $('#f_timezone').val(), f_timeserver_enabled: '0', f_hour: $('#f_hour').val(), f_minute: $('#f_minute').val(), f_second: $('#f_second').val(), f_day: $('#f_day').val(), f_month: $('#f_month').val(), f_year: $('#f_year').val(), f_datetime_manual: $('#f_datetime_manual').val() } );
			}
			message();
		break;
		case "language":
			$.post("std_"+e.id+".php", { gw: "1", language: $('#f_language').val() } );
			block('message_wait');
			count(3);
		break;
		case "lan":
			var proto=window.location.protocol;
			var port=window.location.port;
			var ip = $('#f_ipaddress').val();
			if(port!="") { target=proto+'//'+ip+':'+port; } else { target=proto+'//'+ip+':'; }
			if($('#f_ipmode_dhcp_of').attr('checked')==true) {
				$.post("std_"+e.id+".php", { gw: "1", f_hostname: $('#f_hostname').val(), f_ipmode: 'static', f_ipaddress: ip, f_netmask: $('#f_netmask').val(), f_gateway: $('#f_gateway').val(), f_dns1: $('#f_dns1').val(), f_dns2: $('#f_dns2').val() } );
				block('message_wait');
				count(10);
				setTimeout("check_device('"+target+"');", 10000);
			} else {
				$.post("std_"+e.id+".php", { gw: "1", f_hostname: $('#f_hostname').val() , f_ipmode: 'dhcp' } );
				block('message_wait');
				count(10);
			}
		break;
		case "wlan":
			var proto=window.location.protocol;
			var port=window.location.port;
			var ip=window.location.host;
			if(port!="") { target=proto+'//'+ip+':'+port; } else { target=proto+'//'+ip+':'; }
			var mode=$("input[name='f_mode']:checked").val();
			var old_mode=$('#f_old_mode').val();
			if($('#f_mode_of').attr('checked')==true) {
				$.post("std_"+e.id+".php", { gw: "1", f_mode: mode } );
				block('message_wait');
				count(10);
			} else {
				$.post("std_"+e.id+".php", { gw: "1", f_mode: mode, f_old_mode: old_mode, f_ssid: $('#f_ssid').val(), f_channel: ip, f_channel: $('#f_channel').val(), f_authmode: $('#f_authmode').val(), f_enckey: $('#f_enckey').val() } );
				block('message_wait');
				count(10);
				if(old_mode=="disabled") {
					count(59); 
					setTimeout("check_device('"+target+"');", 60000);
				}
			}
		break;
		case "smtp":
			var plain=$("input[name='f_plaintxt']:checked").val();
			var loglevel=$("input[name='f_loglevel']:checked").val();
			var pass=$('#f_pass').val();
			var old_pass=$('#f_old_pass').val();
			if(pass!=old_pass) {
				pass=Base64.encode(pass);
				$.post("std_"+e.id+".php", { gw: "1", f_server: $('#f_server').val(), f_user: $('#f_user').val(), f_pass: pass, f_sender: $('#f_sender').val(), f_plain: plain, f_loglevel: loglevel } );
			} else {
				$.post("std_"+e.id+".php", { gw: "1", f_server: $('#f_server').val(), f_user: $('#f_user').val(), f_sender: $('#f_sender').val(), f_plain: plain, f_loglevel: loglevel } );
			}
		break;
		case "httpd":
			var port=$('#f_port').val();
			if($('#f_http_ssl_on').attr('checked')==true) {
				var proto='https:';
				var ip=window.location.hostname;
				var ssl=1;
				if(port==0 || port>65535) { port=443; }
				if(port!='443') { target='https://'+window.location.hostname+':'+port; } else { target='https://'+window.location.hostname; }
			} else {
				var proto='http:';
				var ip=window.location.hostname;
				var ssl=0;
				if(port==0 || port>65535) { port=80; }
				if(port!='80') { target='http://'+window.location.hostname+':'+port; } else { target='http://'+window.location.hostname; }
			}
			var pass0=$('#f_pass0').val();
			var old_pass0=$('#old_pass0').val();
			var pass1=$('#f_pass1').val();
			var old_pass1=$('#old_pass1').val();
			if(pass0!="") {
				if(pass0!=old_pass0) {
					pass0=MD5(pass0)
				}
			}
			if(pass1!="") {
				if(pass1!=old_pass1) {
					pass1=MD5(pass1)
				}
			}
			$.post("std_"+e.id+".php", { gw: "1", f_http_ssl: ssl, f_port: port, f_user0: $('#f_user0').val(), f_user1: $('#f_user1').val(), f_pass0: pass0, f_pass1: pass1, f_old_ssl: $('#old_ssl').val() , f_old_port: $('#old_port').val() } );
			if(ssl!=$('#old_ssl').val() || port!=$('#old_port').val()) {
				block('message_wait');
				count(30);
				setTimeout("check_device('"+target+"');", 30000);
			} else {
				message();
			}
		break;
		case "dhcpserver":
			if($('#f_dhcp_of').attr('checked')==true) {
				$.post("std_"+e.id+".php", { gw: "1", f_dhcp: '0' } );
				block('message_wait');
				count(5);
				setTimeout("location.reload();",5000);
			} else {
				$.post("std_"+e.id+".php", { gw: "1", f_dhcp: '1', f_ipstart: $('#f_ipstart').val(), f_ipstop: $('#f_ipstop').val(), f_subnet: $('#f_subnet').val(), f_router: $('#f_router').val(), f_dns1: $('#f_dns1').val(), f_dns2: $('#f_dns2').val(), f_dns3: $('#f_dns3').val() } );
				block('message_wait');
				count(5);
				setTimeout("location.reload();",5000);
			}
		break;
		case "pwldemon":
			if($('#f_pwldemon_br').attr('checked')==true) {
				$.post("std_"+e.id+".php", { gw: "1", f_mode: '1' } );
			} else {
				//var id = $("input[name='f_loglevel']:checked").attr('id'); Base64.encode()
				var loglevel = $("input[name='f_loglevel']:checked").val();
				var broadcast = $("input[name='f_broadcast']:checked").val();
				var pass = $('#f_password').val();
				var old_pass = $('#old_pass').val();
				if(pass!="") {
					if(pass!=old_pass) {
						pass=Base64.encode(pass);
						$('#f_password').val(pass);
						$('#old_pass').val(pass);
					}
				}
				$.post("std_"+e.id+".php", { gw: "1", f_mode: '0', f_broadcast: broadcast, f_readdelay: $('#f_readdelay').val(), f_loglevel: loglevel, f_maxretries: $('#f_maxretries').val(), f_udpport: $('#f_udpport').val(), f_ip: $('#f_ip').val(), f_username: $('#f_username').val(), f_password: pass, f_comport: $('#f_comport').val(), f_baudrate: $('#f_baudrate').val() } );
			}
			message();
		break;
		case "pwlactor":
			var actor_enabled = $("input[name='f_actor_enabled']:checked").val();
			//alert (actor_enabled);
			$.post("std_"+e.id+".php", { gw: "1", f_actor_no: $('#f_actor_no').val(), f_max_logical: $('#f_max_logical').val(), f_actor_enabled: actor_enabled, f_pwlname: $('#f_pwlname').val(), f_pwldesc: $('#f_pwldesc').val(), f_pwltype: $('#f_pwltype').val(), f_pwllonid: $('#f_pwllonid').val(), f_icon: $('#icon_value').val(), f_position: $('#f_position').val(), f_oldposition: $('#f_oldposition').val() } );
			$('#f_oldposition').val($('#f_position').val());
			message();
		break;
		case "3075demon":
			var loglevel = $("input[name='f_loglevel']:checked").val();
			$.post("std_"+e.id+".php", { gw: "1", f_readdelay: $('#f_readdelay').val(), f_loglevel: loglevel, f_maxretries: $('#f_maxretries').val() } );
			message();
		break;
		case "3075actor":
			var actor_enabled = $("input[name='f_actor_enabled']:checked").val();
			//alert (actor_enabled);
			$.post("std_"+e.id+".php", { gw: "1", f_actor_no: $('#f_actor_no').val(), f_max_logical: $('#f_max_logical').val(), f_actor_enabled: actor_enabled, f_name: $('#f_name').val(), f_desc: $('#f_desc').val(), f_ip: $('#f_ip').val(), f_user: $('#f_user').val(), f_pass: $('#f_pass').val(), f_icon: $('#icon_value').val(), f_position: $('#f_position').val(), f_oldposition: $('#f_oldposition').val() } );
			$('#f_oldposition').val($('#f_position').val());
			message();
		break;
		case "plgdemon":
			var loglevel = $("input[name='f_loglevel']:checked").val();
			var showwatt = $("input[name='f_showwatt']:checked").val();
			$.post("std_"+e.id+".php", { gw: "1", f_udpport: $('#f_udpport').val(), f_comport: $('#f_comport').val(), f_loglevel: loglevel, f_showwatt: showwatt } );
			message();
		break;	
		case "plgactor":
			var actor_enabled = $("input[name='f_actor_enabled']:checked").val();
			//alert (actor_enabled);
			$.post("std_"+e.id+".php", { gw: "1", f_actor_no: $('#f_actor_no').val(), f_max_logical: $('#f_max_logical').val(), f_actor_enabled: actor_enabled, f_name: $('#f_name').val(), f_desc: $('#f_desc').val(), f_mac: $('#f_mac').val(), f_icon: $('#icon_value').val(), f_position: $('#f_position').val(), f_oldposition: $('#f_oldposition').val() } );
			$('#f_oldposition').val($('#f_position').val());
			message();
		break;	
		case "timer":
			var tm_enabled = $("input[name='f_tm_enabled']:checked").val();
			var tmstart_action = $("input[name='f_tmstart_action']:checked").val();
			var tmstop_action = $("input[name='f_tmstop_action']:checked").val();
			//alert ($('#tm_start_su').attr('checked'));
			$.post("std_"+e.id+".php", { gw: "1", f_tm_no: $('#f_tm_no').val(), f_tm_enabled: tm_enabled, f_tmname: $('#f_tmname').val(),
				f_tmdesc: $('#f_tmdesc').val(), f_tm_start: $('#f_tm_start').val(), f_tmstart_action: tmstart_action,
				f_tm_actor_start: $('#f_tm_actor_start').val(),
				f_tm_start_mo: $('#f_tm_start_mo').attr('checked'),
				f_tm_start_tu: $('#f_tm_start_tu').attr('checked'),
				f_tm_start_we: $('#f_tm_start_we').attr('checked'),
				f_tm_start_th: $('#f_tm_start_th').attr('checked'),
				f_tm_start_fr: $('#f_tm_start_fr').attr('checked'),
				f_tm_start_sa: $('#f_tm_start_sa').attr('checked'),
				f_tm_start_su: $('#f_tm_start_su').attr('checked'),
				f_tm_stop: $('#f_tm_stop').val(), f_tmstop_action: tmstop_action, f_tm_actor_stop: $('#f_tm_actor_stop').val(),
				f_tm_stop_mo: $('#f_tm_stop_mo').attr('checked'),
				f_tm_stop_tu: $('#f_tm_stop_tu').attr('checked'),
				f_tm_stop_we: $('#f_tm_stop_we').attr('checked'),
				f_tm_stop_th: $('#f_tm_stop_th').attr('checked'),
				f_tm_stop_fr: $('#f_tm_stop_fr').attr('checked'),
				f_tm_stop_sa: $('#f_tm_stop_sa').attr('checked'),
				f_tm_stop_su: $('#f_tm_stop_su').attr('checked')
				} );
			message();
		break;	
		case "rgbconfig":
			$.post("std_"+e.id+".php", $("#rgbconfigform").serialize());
			/*var f_type0=$("input[name='f_type0']:checked").val();
			var f_type1=$("input[name='f_type1']:checked").val();
			$.post("std_"+e.id+".php",
				{ 	gw: "1",
					f_type0: f_type0, f_type1: f_type1,
					f_name0: $('#f_name0').val(), f_name1: $('#f_name1').val(),
					f_bootprogram: $('#f_bootprogram').val(),
					f_rmttype: $('#f_rmttype').val()
				} );*/
			message();
		break;
		case "login":
			$.post("/include/login.php", { gw: "1", user: $('#f_loginuser').val(), pass: MD5($('#f_loginpass').val()) },
				function(l) {
					if(l=="true") {
						var loginok = $('#site').val();
						if(loginok!='disp') {
							$.post("std_"+loginok+".php", { gw: "0" },
							function(r) {
								$('#content').html(r);
								$('#logout').show('fast');
							});
						} else {
							location.reload();
						}
					} else {
						error();
					}
				});
		break;
		case "firmware":
			var loglevel = $("input[name='f_loglevel']:checked").val();
			var upddemon = $("input[name='f_update']:checked").val();
			$.post("std_"+e.id+".php", { gw: "1", f_loglevel: loglevel, f_update: upddemon  } );
			message();
		break;
		case "frontend":
			var head = $("input[name='f_head_enabled']:checked").val();
			var actornames = $("input[name='f_actornames']:checked").val();
			var dsp = $("input[name='f_display_auto']:checked").val();
			var opaque = $("input[name='f_opaque']:checked").val();
			if(dsp==1) { display_width='auto'; } else { display_width=$('#f_display_width').val(); }
			$.post("std_"+e.id+".php", { gw: "1",
				f_startpage: $('#f_startpage').val(),
				f_display_width: display_width,
				f_head_enabled: head,
				f_buttons: $('#f_buttons').val(),
				f_actornames: actornames,
				f_max_actors_row: $('#f_max_actors_row').val()
			} );
			message();
		break;
		case "plcnet":
			$.post("std_"+e.id+".php", $("#plcform").serialize());
			message();	  
		break;
		case "rgbsteps":
			//alert($("#_prgno_").val());
			$.post("std_"+e.id+".php", $("#addsteps").serialize(), function(data) {
				$("#_prgno_").val(data);
			});
			block('message_wait');
			count(2);
		break;
	}
}
function reload_site() {  // Experimentell NICHT benutzen !!!!!
	$.post("std_rgbsteps.php", { gw: "0", prg: $("#_prgno_").val(), add: "0" },
				function(r) {
				$('#content').html(r);					
				$( "input:button" ).button();	
	});
}
function block(e) {
	$.blockUI({
		message: $('div.'+e),
		css: { 
			border: 'none', 
			padding: '15px', 
			backgroundColor: '#000', 
			'-webkit-border-radius': '10px', 
			'-moz-border-radius': '10px',
			'border-radius': '10px', 
			opacity: .5, 
			color: '#fff'
		}
	});
}
function block_msg(e) {
	$.blockUI({
		message: e,
		css: { 
			border: 'none', 
			padding: '15px', 
			backgroundColor: '#000', 
			'-webkit-border-radius': '10px', 
			'-moz-border-radius': '10px',
			'border-radius': '10px', 
			opacity: .5, 
			color: '#fff'
		}
	});
}
function message() {
	$.blockUI({
		message: $('div.message'),
		fadeIn: 700, 
		fadeOut: 700, 
		timeout: 2000,
		showOverlay: false, 
		css: {	
			border: 'none', 
			padding: '15px', 
			backgroundColor: '#000', 
			'-webkit-border-radius': '10px', 
			'-moz-border-radius': '10px',
			'border-radius': '10px', 
			opacity: .6, 
			color: '#fff'
		}
	});
}
function message_time(time) {
	$.blockUI({
		message: $('#message'),
		fadeIn: 700, 
		fadeOut: 700, 
		timeout: time,
		showOverlay: false, 
		css: {	
			border: 'none', 
			padding: '15px', 
			backgroundColor: '#000', 
			'-webkit-border-radius': '10px', 
			'-moz-border-radius': '10px',
			'border-radius': '10px', 
			opacity: .6, 
			color: '#fff'
		}
	});
}
function error() {
	$.blockUI({
		message: $('div.error'),
		fadeIn: 700, 
		fadeOut: 700, 
		timeout: 4000,
		showOverlay: false, 
		css: {	
			border: 'none', 
			padding: '15px', 
			backgroundColor: '#000', 
			'-webkit-border-radius': '10px', 
			'-moz-border-radius': '10px',
			'border-radius': '10px', 
			opacity: .6, 
			color: '#fff'
		}
	});
}
function check_device(target) {
	$.ajax({
		timeout: 300000,
		url: target+'/reset.php?call=2', 
		type:'GET',
		async: false,
		complete: function(r) {
			$(location).attr('href', target);
		},
		error: function() {
			setTimeout("check_device('"+target+"');", 1000);
		}
	});
}
function check_service(proto,ip) {
	$.ajax({
		timeout: 300000,
		url: proto+'//'+ip+'/reset.php?call=2', 
		/*url: 'reset.php?call=2', */
		type:'GET',
		async: false,
		success: function(r) {
			$(location).attr('href', proto+'//'+ip);
		},
		error: function() {
			setTimeout("check_service('"+proto+"','"+ip+"');", 1000);
		}
	});
}
function close_result() {
	$('#resultok').slideUp('normal');
}

function count(t) {
	if(t>0) {
		t--;
		$('#c_t').text(t)
		setTimeout("count("+t+");",1000);
	} else {
		location.reload();
	}
}

function count_r(t) {
	if(t>0) {
		t--;
		$('#c_tr').text(t)
		setTimeout("count_r("+t+");",1000);
	} else {
		location.reload();
	}
}

/* MENU */
var timeout         = 500;
var closetimer		= 0;
var menuitem      = 0;

function menu_open() {
	menu_canceltimer();
	menu_close();
	menuitem = $(this).find('ul').eq(0).css('visibility', 'visible');
}

function menu_close() {
	if(menuitem) menuitem.css('visibility', 'hidden');
}

function menu_timer() {
	closetimer = window.setTimeout(menu_close, timeout);
}

function menu_canceltimer() {
	if(closetimer) {
		window.clearTimeout(closetimer);
		closetimer = null;
	}
}



function do_work()
{
  if ((down_x - up_x) > 100)
    {
        alert("right");
    }
    if ((up_x - down_x) > 100)
    {
        alert("left");
    }
}

function strReplace(str, search, replace) {
	if ((str == null) || (search == null))           { return null; }
	if ((str.length == 0) || (search.length == 0))   { return str; }

	if ((replace == null) || (replace.length == 0))    { replace = ""; }

	var l_search = search.length;
	var l_replace = replace.length;
	var pos = str.indexOf(search, 0);

	while (pos >= 0)
	{
	    str = str.substring(0, pos) + replace + str.substring(pos + l_search);
	    pos = str.indexOf(search, pos + l_replace);
	}
	return str;
}


function remove_step(stepid,e,dbid) {
	e.preventDefault();
	var steps=$('#_maxsteps_').val();
	 if(steps>1) {
	 // HIER STEP AUS DER DB LÖSCHEN !!!!!!    
	    $.post('prg_delete.php', { id: dbid, prg: "0" });	
	    $('#step'+stepid).remove();
	    steps--;
	    $('#_maxsteps_').val(steps);
	 }
};

function remove_program(prgid) {
	// HIER PRG UND STEPS AUS DER DB LÖSCHEN !!!!!!    
	$.post('prg_delete.php', { id: prgid, prg: "1" },
		function() {
			$.post("std_rgbprg.php", { gw: "0" },
				function(r) {
					$('#content').html(r);					
					$( "input:button" ).button();
			});
				return false;
		});
	//location.reload();
};

function hex2rgb(hexStr){
// hexStr #rrggbb
	var hex = parseInt(hexStr.substring(1), 16);
	var r = (hex & 0xff0000) >> 16;
	var g = (hex & 0x00ff00) >> 8;
	var b = hex & 0x0000ff;
	return [r, g, b];
}

function rgb2hex(val){
// rgbStr 255,255,255
	//var rgb = val.match(/^rgb\((\d+),\s*(\d+),\s*(\d+)\)$/);  // rgbStr rgb(255,255,255)
	var rgb = val.match(/(\d+),\s*(\d+),\s*(\d+)$/);
	return "#" +
	("0" + parseInt(rgb[1],10).toString(16)).slice(-2) +
	("0" + parseInt(rgb[2],10).toString(16)).slice(-2) +
	("0" + parseInt(rgb[3],10).toString(16)).slice(-2);
}

function rgbToHsl(r, g, b) {
	var max = Math.max(r, g, b);
	var min = Math.min(r, g, b);
	var l = (max + min) / 2;
	var h = 0;
	var s = 0;
	if(max != min) {
		if (l<.5) {
			s= (max - min) / (max + min);
		} else {
			s=(max - min) / (2 - max - min);
		}
		if (r==max) { h = (g-b)/(max-min)/6; }
		if (g==max) { h = (2.0 + (b-r)/(max-min))/6; }
		if (b==max) { h = (4.0 + (r-g)/(max-min))/6; }
	}
	if(h < 0) { h += 1; }
	return [h, s, l];
}
function hslToRgb(h, s, l){
    var
	y = (l > .5)?
		l + s - l * s:
		l * (s + 1),
	x = l * 2 - y,
	r = hToC(x, y, h + 1 / 3),
	g = hToC(x, y, h),
	b = hToC(x, y, h - 1 / 3);
    return [r, g, b];
}

function hToC(x, y, h) {
	var c;
	if(h < 0) { h += 1; }
	if(h > 1) { h -= 1; }
    if (h<1/6) {
		c=x +(y - x) * h * 6;
    } else {
		if(h < 1/2) {
			c=y;
		} else {
			if(h < 2/3) {
				c=x + (y - x) * (2 / 3 - h) * 6;
			} else {
				c=x;
			}
		}
	}
    return c;
}