// **********   d0bus_demon.h - Include-File fr den D0-Bus-Demon   **********


// *****   Globale Variablen   ******

#define											D0BUS_DEMON_VERSION "1.95"

extern unsigned short int		d0bus_portnumber;
extern unsigned long int		d0bus_meter_reloadcounter;
extern signed char					d0bus_meter_enabled;
extern signed char					d0bus_meter_typ;
extern char									d0bus_meter_comport[20];
extern unsigned long int		d0bus_meter_baudrate;
extern double								d0bus_meter_value_kwh[3];
extern double								d0bus_meter_value_watt[3];
extern double								d0bus_meter_voltage[3];
extern char									d0bus_meter_name[80];
extern char									d0bus_meter_comment[80];
extern int									d0bus_meter_fd;
extern sqlite3							*sql_var_handle;



// *****   Funktions-Prototypen   *****

void							d0bus_demon_readconfig(unsigned char nummer);
int								rs232_open(char device[],unsigned long int baudrate);
signed short int	rs232_read(int fd);
int								rs232_write(int fd,char* psOutput);
long							get_ms_now(void);
void							sql_update_d0werte(sqlite3 *ptr,unsigned char nummer,double watt0,double watt1,double watt2,double kwh0,double kwh1,double kwh2);
void							d0bus_read_emh_ehz(int fd);
void							d0bus_read_easymeter_q3d_ruecklaufsperre(int fd);

