// *********************************************************************************************************************
// *********************************************************************************************************************
// **                                                                                                                 **
// **   query_resetbutton.c   -   Abfragen des Reset-Knopfes (0:OK, 1:gedrckt)                                       **
// **                                                                                                                 **
// **-----------------------------------------------------------------------------------------------------------------**
// **                                                                                                                 **
// ** (C) 2009 - 2010 by Allnet Deutschland GmbH (www.allnet.de)                                                      **
// **                    Michael Buchstaller     (buchi@allnet.de)                                                    **
// **                                                                                                                 **
// **-----------------------------------------------------------------------------------------------------------------**
// **                                                                                                                 **
// ** This program is free software: you can redistribute it and/or modify                                            **
// ** it under the terms of the GNU General Public License as published by                                            **
// ** the Free Software Foundation, either version 3 of the License, or                                               **
// ** (at your option) any later version.                                                                             **
// **                                                                                                                 **
// ** This program is distributed in the hope that it will be useful,                                                 **
// ** but WITHOUT ANY WARRANTY; without even the implied warranty of                                                  **
// ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                                                   **
// ** GNU General Public License for more details.                                                                    **
// **                                                                                                                 **
// ** You should have received a copy of the GNU General Public License                                               **
// ** along with this program.  If not, see http://www.gnu.org/licenses                                               **
// **                                                                                                                 **
// *********************************************************************************************************************
// *********************************************************************************************************************



#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include "at91gpio.h"
#include "all_i2c.h"



// *****   Hauptprogramm   *****

int main(int argc,char **argv)
	{
	int rw = 0;	
	
	
	gpio_devmem_open();																		// I/O-Memory-Filehandles initialiseren
	gpio_port_init_output(PORT_D,15);											// Reset auf Ausgang
	gpio_port_write(PORT_D,15,1);													// "1" hineinschreiben
	gpio_port_init_input(PORT_D,15);											// Reset auf Eingang

	usleep(1000);																					// 1 ms warten
	if(gpio_port_read(PORT_D,15) == 0) rw = 1;						// wenn L (Jumper gesteckt), dann 1 zurckgeben

	printf("%d\n",rw);
	return(rw);
	}

