// **********   timer_demon.h - Include-File fr den Timer-Demon   **********


// *****   Globale Variablen   ******

#define								TIMER_DEMON_VERSION "1.95"
#define								MAX_LOGICAL_ACTORS 128
#define								MAX_TIMERS 128
#define								TIMER_GRACE_PERIOD 3

signed long int				timer_max_timers;																							// Anzahl tatschlich benutzter Timer
signed long int				timer_reload_counter;																					// Reload Counter
signed char						timer_enabled[MAX_TIMERS];																		// Timer Enabled 0/1
char									timer_name[MAX_TIMERS][40];																		// Timer Benennung
signed char						timer_start_monday[MAX_TIMERS];																// Schaltzeitpunkt Wochentag
signed char						timer_start_tuesday[MAX_TIMERS];															// Schaltzeitpunkt Wochentag
signed char						timer_start_wednesday[MAX_TIMERS];														// Schaltzeitpunkt Wochentag
signed char						timer_start_thursday[MAX_TIMERS];															// Schaltzeitpunkt Wochentag
signed char						timer_start_friday[MAX_TIMERS];																// Schaltzeitpunkt Wochentag
signed char						timer_start_saturday[MAX_TIMERS];															// Schaltzeitpunkt Wochentag
signed char						timer_start_sunday[MAX_TIMERS];																// Schaltzeitpunkt Wochentag
signed char						timer_start_hour[MAX_TIMERS];																	// Uhrzeit Stunde
signed char						timer_start_minute[MAX_TIMERS];																// Uhrzeit Minute
signed char						timer_start_second[MAX_TIMERS];																// Uhrzeit Sekunde
signed long int				timer_start_onoff[MAX_TIMERS];																// On/Off 0/1
signed short int			timer_start_actor[MAX_TIMERS];																// On/Off 0/1
signed char						timer_stop_monday[MAX_TIMERS];																// Schaltzeitpunkt Wochentag
signed char						timer_stop_tuesday[MAX_TIMERS];																// Schaltzeitpunkt Wochentag
signed char						timer_stop_wednesday[MAX_TIMERS];															// Schaltzeitpunkt Wochentag
signed char						timer_stop_thursday[MAX_TIMERS];															// Schaltzeitpunkt Wochentag
signed char						timer_stop_friday[MAX_TIMERS];																// Schaltzeitpunkt Wochentag
signed char						timer_stop_saturday[MAX_TIMERS];															// Schaltzeitpunkt Wochentag
signed char						timer_stop_sunday[MAX_TIMERS];																// Schaltzeitpunkt Wochentag
signed char						timer_stop_hour[MAX_TIMERS];																	// Uhrzeit Stunde
signed char						timer_stop_minute[MAX_TIMERS];																// Uhrzeit Minute
signed char						timer_stop_second[MAX_TIMERS];																// Uhrzeit Sekunde
signed long int				timer_stop_onoff[MAX_TIMERS];																	// On/Off 0/1
signed short int			timer_stop_actor[MAX_TIMERS];																	// On/Off 0/1
int										shID;
struct s_shm_actordata*	shm_actor_w_data;



// *****   Funktions-Prototypen   *****

void								timer_setzedefault													(void);
void								timer_readconfig														(void);
void								timer_execute																(signed long int ti);
